# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.htmlParser.element

Defined in: core/htmlparser/element.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.htmlParser.element(name, attributes) A lightweight representation of an HTML element.

Field Summary
Field Attributes | Field Name and Description
--- | ---
| attributes Holds the attributes defined for this element.
| children The nodes that are direct children of this element.
| name The element name.
| type The node type.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(node) Adds a node to the element children list.
| clone() Clone this element.
| writeHtml(writer, filter) Writes the element HTML to a CKEDITOR.htmlWriter.

Class Detail
CKEDITOR.htmlParser.element(name, attributes)
Since: 3.0
A lightweight representation of an HTML element.

Parameters:
{String} name
  The element name.
{Object} attributes
  And object holding all attributes defined for this element.

Field Detail
{Object} attributes
Since: 3.0
Holds the attributes defined for this element.

{Array} children
Since: 3.0
The nodes that are direct children of this element.

{String} name
Since: 3.0
The element name.

{Number} type
Since: 3.0
The node type. This is a constant value set to CKEDITOR.NODE_ELEMENT.
Method Detail
{Undefined} add(node)
Since: 3.0
Adds a node to the element children list.

Parameters:
{Object} node
  The node to be added. It can be any of of the following types: CKEDITOR.htmlParser.element, CKEDITOR.htmlParser.text and CKEDITOR.htmlParser.comment.

{CKEDITOR.htmlParser.element} clone()
Since: 3.0
Clone this element.

Returns:
  {CKEDITOR.htmlParser.element} The element clone.

{Undefined} writeHtml(writer, filter)
Since: 3.0
Writes the element HTML to a CKEDITOR.htmlWriter.

Parameters:
{CKEDITOR.htmlWriter} writer
  The writer to which write the HTML.
{Undefined} filter

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.